Subject: Re: setting up coolview (was: make problems (b18 and mingw32))
From: [email-masked] (Earnie Boyd)

25 Feb 1998 06:06:18 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>Date: Tue, 24 Feb 1998 15:55:40 -0500 (EST)
>From: "John A. Turner" <[email-masked]>
>To: [email-masked]
>CC: [email-masked]
>Subject: setting up coolview (was: make problems (b18 and mingw32))
>
<snip>
>Well, I think I've decided not to wait for b19, even though I'm sure 
it's
>right around the corner.
>
>So although I've been putting it off for a long time, I think I'll go
>ahead and give Sergey's coolview a try.  Which means that now I have to
>really try and understand what is meant by "making mounts text=binary".
>
>I've been on the list for a long time, so I've seen many of the posts
>about this issue, but I remain confused.  I had thought there might be
>more explicit instructions at Sergey's site, but I didn't see any.  So 
>let me see if I can construct a step-by-step guide to using coolview,
>and I'll insert questions where I'm confused.
>
>[I'll use unixish commands]
>
>o Downloaded coolview.tar.gz.  It contains:
>
>  bash.exe
>  cygwin.dll
>  libcygwin.a
>  ps.exe
>
>  Assume we put them in c:/gnuwin32/coolview
>
>o Rename corresponding b18 versions:
>
>  cd /gnuwin32/b18/H-i386-cygwin32/bin
>  mv bash.exe bash-b18.exe
>  mv ps.exe ps-b18.exe
>  mv cygwin.dll cygwin-b18.dll
>  cd ../i386-cygwin32/lib
>  mv libcygwin.a libcygwin-b18.a

a copy of the cygwin.dll is in this ../i386-cygwin32/lib directory.  
Just delete it, it is not needed.

>
>o Copy new versions into correct locations:
>
>  cd /gnuwin32/coolview
>  cp bash.exe ps.exe cygwin.dll ../b18/H-i386-cygwin32/bin

cp bash.exe ../b18/H-i386-cygwin32/bin/sh.exe

>  cp libcygwin.a ../b18/H-i386-cygwin32/i386-cygwin32/lib
>
>o Paths, env. vars., etc. should still be set correctly from b18.
>  For example:
>
>  set CYGNUS_PATH=C:\gnuwin32\b18\H-i386-cygwin32
>  set CYGWIN_NOTITLE=1
>  set GCC_EXEC_PREFIX=%CYGNUS_PATH%\lib\gcc-lib\
>  set SHELL=%CYGNUS_PATH%\bin\sh.exe
>  set PATH=%CYGNUS_PATH%\bin;"%PATH%"
>
>OK, now what?  Questions about text=binary:
>
>o What exactly should be mounted text=binary?  mount currently shows:
>
>BASH.EXE-2.01$ mount
>Device           Directory           Type        Flags
>\\.\tape1:       /dev/st1            native      no-mixed,text!=binary
>\\.\tape0:       /dev/st0            native      no-mixed,text!=binary
>\\.\b:           /dev/fd1            native      no-mixed,text!=binary
>\\.\a:           /dev/fd0            native      no-mixed,text!=binary
>c:               /                   native      no-mixed,text!=binary
>
>  So all of these need to be unmounted and remounted text=binary?
>
>o Where's my d: partition in that output from mount?
>
>o I saved a post by Earnie Boyd from 1/8/98 in which he said:
>
>cd /gnuwin32/b18/H-i386-cygwin32/bin
>./umount /
>./mount -b c:\\ /
>
>./umount /bin
>./mount -b c:\\gnuwin32\\b18\\H-i386-cygwin32\\bin /bin
>
>./umount /all_the_other_directories
>./mount -b d:\\all_the_other_directories /all_the_other_directories
>
>  I do the first part of this and mount shows:
>
>BASH.EXE-2.01$ mount
>Device           Directory           Type        Flags
>\\.\tape1:       /dev/st1            native      no-mixed,text!=binary
>\\.\tape0:       /dev/st0            native      no-mixed,text!=binary
>\\.\b:           /dev/fd1            native      no-mixed,text!=binary
>\\.\a:           /dev/fd0            native      no-mixed,text!=binary
>c:               /                   native      no-mixed,text=binary
>
>  Great.  But although I have a c:\bin, when I try to do that part I
>  get:
>
>BASH.EXE-2.01$ umount /bin
>umount: Invalid argument
>

You have no /bin mounted.  ?What is in your c:\bin?  I believe the 
original poster (don't really remember) had a /bin directory mounted.  I 
"mount -b c:\\gunwin32\\b18\\H-i386-cygwin32\\bin /bin" then the scripts 
can find /bin/sh when it needs it.  Note, commands tend to get confused 
in you have a c:\bin and a mount point of /bin so don't have both.

>  What's happening there?  
>
>  And could someone spell out exactly what all_the_other_directories
>  means?  Sorry to be dense, but I want to make sure I understand
>  what's happening here.

This was to indicate any other mount points that may have been mounted.  
I suggest that you also:

mount -b a:\\ /a
mount -b c:\\ /c

>
>o Alright, now when exactly is all this mounting and unmounting done?
>  It must happen each time you boot, right?  So do you create a script
>  and put it in the StartUp directory or what?
>

The mounts are stored in the registry.  You will not have to do anything 
else.  There is nothing to do at boot time.

>o OK, let's assume I've been able to do all those mounts correctly.
>  Now I need to do \r\n -> \n conversion on some files.  What, exactly?
>  .bashrc, plus any bash scripts, I guess.  I think I've also seen
>  mention of C/C++ source as well.  Correct?

Correct.

>
>Thanks in advance to whoever helps me (and whoever else might be
>confused).
>
>-John
>
>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".